de.esprit.netsuite.client.activity.transfer

## Class DownloadReader

- java.lang.Object
- - java.io.Reader
  - - java.io.BufferedReader
    - - java.io.LineNumberReader
      - - de.esprit.appsuite.io.ProgressReader
        - - de.esprit.netsuite.client.activity.transfer.DownloadReader

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable, java.lang.Readable

      public class DownloadReader
      extends ProgressReader

  This Reader is provided by the `FileStreamDownloadAgent` for downloading ASCII files. You should use the readLine() method for reading the stream. Reading is monitored in the client by the underlying `DownloadStream`.
  Author:
    Rainer Buesch

- - ### Field Summary

    - ### Fields inherited from class java.io.Reader

      `lock`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DownloadReader(DownloadStream inStream)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `AgentId` | `getAgentId()`
    `DownloadStream` | `getDownloadStream()`
    `JobId` | `getJobId()`
    `long` | `getRealFileSize()`
    `java.io.File` | `getServerFile()`
    `FileStreamJob` | `getStreamJob()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class de.esprit.appsuite.io.ProgressReader

      `getFileInfo, getInputStream, getProgressorTask, getReadBytes, getReadPercentage, getTotalBytes, isClosed, setProgressorTask`

    - ### Methods inherited from class java.io.LineNumberReader

      `getLineNumber, mark, read, read, readLine, reset, setLineNumber, skip`

    - ### Methods inherited from class java.io.BufferedReader

      `markSupported, ready`

    - ### Methods inherited from class java.io.Reader

      `read, read`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DownloadReader

          public DownloadReader(DownloadStream inStream)

  - ### Method Detail

    - #### getDownloadStream

          public DownloadStream getDownloadStream()

    - #### getRealFileSize

          public long getRealFileSize()

    - #### getServerFile

          public java.io.File getServerFile()

    - #### getStreamJob

          public FileStreamJob getStreamJob()

    - #### getJobId

          public JobId getJobId()

    - #### getAgentId

          public AgentId getAgentId()

    - #### close

          public void close()
                     throws java.io.IOException

      Specified by:
        `close` in interface `java.io.Closeable`
      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Overrides:
        `close` in class `ProgressReader`
      Throws:
        `java.io.IOException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.